compile-test:
  stage: compile
  script: cat file1.txt file2.txt > compiled.txt
  artifacts:
    paths:
    - compiled.txt
    expire_in: 1 minutes
  only:
  - test

test-test:
  stage: test
  script: 
  - cat compiled.txt | grep -q 'Hello world'
  - echo "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
  only:
  - test

pack-gz-test:
  stage: package
  script: 
  - cat compiled.txt | gzip > packaged.gz
  - echo "KKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKK"
  artifacts:
    paths:
    - packaged.gz
  only:
  - test

pack-iso-test:
  stage: package
  script: 
  - apk update
  - apk add cdrkit
  - mkisofs -o ./packaged.iso ./compiled.txt
  artifacts:
    paths:
    - packaged.iso
  only:
  - test
